Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.service
Class ResourceCreationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.security.service.SecurityServiceException
                              |
                              +--weblogic.security.service.ResourceCreationException

public class ResourceCreationException
extends SecurityServiceException

The `ResourceCreationException` exception is thrown if a security provider encounters a problem while creating a resource.

This exception wrappers an exception with the same name from the `weblogic.security.spi` package.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`ResourceCreationException()` Constructs a `ResourceCreationException` with no arguments.
`ResourceCreationException(java.lang.String msg)` Constructs a `ResourceCreationException` with the specified detail message.
`ResourceCreationException(java.lang.String msg, java.lang.Throwable nested)` Constructs a `ResourceCreationException` with a detail message and a nested exception.
`ResourceCreationException(java.lang.Throwable nested)` Constructs a `ResourceCreationException` with a nested exception.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceCreationException

    public ResourceCreationException()

  Constructs a `ResourceCreationException` with no arguments.

### ResourceCreationException

    public ResourceCreationException(java.lang.String msg)

  Constructs a `ResourceCreationException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

### ResourceCreationException

    public ResourceCreationException(java.lang.Throwable nested)

  Constructs a `ResourceCreationException` with a nested exception.

  Parameters:
    `nested` - a `Throwable` object to wrapper as part of this exception.

### ResourceCreationException

    public ResourceCreationException(java.lang.String msg,
                                     java.lang.Throwable nested)

  Constructs a `ResourceCreationException` with a detail message and a nested exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

    `nested` - a `Throwable` object to wrapper as part of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD